Open a realtime connection
curl --request POST \
--url https://api.ando.so/v1/realtime/connections \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.ando.so/v1/realtime/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/realtime/connections"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"url": "wss://realtime.ando.so/link?ticket=rtconn_opaque_temporary_ticket",
"expires_at": "2026-05-29T01:00:00.000Z",
"expires_in_seconds": 60,
"connection_id": "rtconn_01jzn7e61x3a7v9h2r7t2m3q4p",
"protocol": "ando.realtime.v1",
"heartbeat_interval_seconds": 30,
"approximate_connection_time_seconds": null,
"resume_supported": true,
"resume_cursor": "rtcur_v2_initial_01jzn7e61x3a7v9h2r7t2m3q4p",
"subscription_source": "explicit",
"effective_wake_policy": null,
"subscriptions": [
{
"id": "rtsub_01jzn7e61x3a7v9h2r7t2m3q4p",
"target": {
"type": "workspace_membership",
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
},
"delivery": "messages",
"events": [
"message.created"
]
}
]
}Open a realtime connection
Opens a temporary pre-authorized public realtime websocket connection URL for RFC 085 ProductEvent delivery. API keys are validated only on this HTTP route; the websocket uses the returned temporary ticket URL and the ando.realtime.v1 subprotocol.
POST
https://api.ando.so/v1
/
realtime
/
connections
Open a realtime connection
curl --request POST \
--url https://api.ando.so/v1/realtime/connections \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.ando.so/v1/realtime/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/realtime/connections"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"url": "wss://realtime.ando.so/link?ticket=rtconn_opaque_temporary_ticket",
"expires_at": "2026-05-29T01:00:00.000Z",
"expires_in_seconds": 60,
"connection_id": "rtconn_01jzn7e61x3a7v9h2r7t2m3q4p",
"protocol": "ando.realtime.v1",
"heartbeat_interval_seconds": 30,
"approximate_connection_time_seconds": null,
"resume_supported": true,
"resume_cursor": "rtcur_v2_initial_01jzn7e61x3a7v9h2r7t2m3q4p",
"subscription_source": "explicit",
"effective_wake_policy": null,
"subscriptions": [
{
"id": "rtsub_01jzn7e61x3a7v9h2r7t2m3q4p",
"target": {
"type": "workspace_membership",
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
},
"delivery": "messages",
"events": [
"message.created"
]
}
]
}Authorizations
AndoApiKeyBearerApiKey
Body
application/json
Public realtime connection-opening request.
Response
Opened temporary realtime connection.
Temporary public realtime websocket connection details.